> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update multiple Journal Entries

> Updates multiple existing Journal Entry's details.



## OpenAPI

````yaml PUT /v0/journal-entries
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/journal-entries:
    put:
      tags:
        - Journal Entries
      summary: Update multiple Journal Entries
      description: Updates multiple existing Journal Entry's details.
      operationId: update_multiple_journal_entries_v0_journal_entries_put
      parameters:
        - name: teal-instance-id
          in: header
          required: true
          schema:
            type: string
            description: The Teal instance ID
            title: Teal-Instance-Id
          description: The Teal instance ID
        - name: modified-by
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: An optional identifier for audit logging.
            title: Modified-By
          description: An optional identifier for audit logging.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/JournalEntryUpdateWithId'
              title: Journal Entry Updates
      responses:
        '204':
          description: Successful Response
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    JournalEntryUpdateWithId:
      properties:
        datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Datetime
          description: |-
            The datetime the Journal Entry was created in UTC 
                    time.
          examples:
            - '2023-02-15T06:42:18Z'
        description:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Description
          description: |-
            An arbitrary string on the object, useful for 
                    displaying to the user.
          examples:
            - Payroll#230215
        line_entry_changes:
          anyOf:
            - $ref: '#/components/schemas/LineEntryChanges'
            - type: 'null'
          description: |-
            An object with optional `create`, `update`,
                    and `delete` parameters to modify the Line Entries associated with
                    the Journal Entry. The `create` and `update` parameters accept lists of
                    Line Entry objects, while the `delete` parameter accepts a list of
                    existing Line Entry IDs.
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - TYcnEf8yEYMXSwUui3E2df
      type: object
      required:
        - id
      title: JournalEntryUpdateWithId
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    LineEntryChanges:
      properties:
        create:
          anyOf:
            - items:
                $ref: '#/components/schemas/LineEntryWithTags'
              type: array
            - type: 'null'
          title: Create
          description: A list of new Line Entry objects to be created on the Journal Entry.
        update:
          anyOf:
            - items:
                $ref: '#/components/schemas/LineEntryUpdate'
              type: array
            - type: 'null'
          title: Update
          description: >-
            A list of existing Line Entry objects to be updated on the Journal
            Entry.
        delete:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Delete
          description: A list of existing Line Entry IDs to delete.
      type: object
      title: LineEntryChanges
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
    LineEntryWithTags:
      properties:
        amount:
          anyOf:
            - type: number
              maximum: 1000000000000000000
              minimum: -1000000000000000000
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
          description: The value of the line entry in decimal dollar cents.
          examples:
            - '31282.27999999999883584678173065185546875'
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Indicates if the amount is a credit or debit.
          examples:
            - credit
        description:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Description
          description: >-
            An arbitrary string on the object, useful for displaying to the user
            or for categorization.
          examples:
            - Payroll#230215
        ledger_id:
          type: string
          title: Ledger Id
          description: The ID of the Line Entry's Ledger.
          examples:
            - 7JRNsKwy2Lw66caxVU7WGC
        tag_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tag Ids
          description: A list of IDs of the Tag objects associated with the Line Entry.
      type: object
      required:
        - amount
        - debit_credit
        - ledger_id
      title: LineEntryWithTags
    LineEntryUpdate:
      properties:
        id:
          type: string
          title: Id
          description: The unique ID of the object.
          examples:
            - XMDsKVuW4Wmi3LTW31Qw6E
        amount:
          anyOf:
            - type: number
              maximum: 1000000000000000000
              minimum: -1000000000000000000
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Amount
          description: The value of the line entry in decimal dollar cents.
          examples:
            - '31282.27999999999883584678173065185546875'
        debit_credit:
          anyOf:
            - $ref: '#/components/schemas/DebitCredit'
            - type: 'null'
          description: Indicates if the amount is a credit or debit.
          examples:
            - credit
        description:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Description
          description: >-
            An arbitrary string on the object, useful for displaying to the user
            or for categorization.
        ledger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ledger Id
          description: The ID of the Line Entry's Ledger.
          examples:
            - 7JRNsKwy2Lw66caxVU7WGC
        tag_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tag Ids
          description: A list of IDs of the Tag objects associated with the Line Entry.
      type: object
      required:
        - id
      title: LineEntryUpdate
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````